package cn.freemud.enums;

/**
 * All rights Reserved, Designed By www.freemud.cn
 *
 * @version V1.0
 * @Title: productType
 * @Package cn.freemud.enums
 * @Description: 简单描述下这个类是做什么用的
 * @author: zhenghuan.yang
 * @date: 2018/10/23 17:50
 * @Copyright: 2018 www.freemud.cn Inc. All rights reserved.
 * 注意：本内容仅限于上海非码科技内部传阅，禁止外泄以及用于其他的商业目
 */
public enum ProductType {
    NOSPEC(1, "无规格"),
    SETMEAL_UPPRICE_PRODUCT(7, "加价套餐商品"),
    VIRTUAL_PRODUCT(9, "虚拟商品"),
    HAVESPEC(10, "有规格"),
    WEIGHT_PRODUCT(11, "称重商品"),
    TABLEWARE_PRODUCT(12, "餐具商品"),
    SETMEAL(6, "套餐"),
    MATERIAL(88, "有加料的商品");
    private int code;

    private String desc;

    ProductType(int code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }
}
